import { Component, OnInit, Input } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { DataService } from 'src/app/services/data.service';
import { faTimes } from '@fortawesome/free-solid-svg-icons';
import { FormService } from 'src/app/services/form.service';

@Component({
  selector: 'app-form',
  templateUrl: './form.component.html',
  styleUrls: ['./form.component.scss']
})
export class FormComponent implements OnInit {
  // tslint:disable-next-line: no-input-rename
  @Input('number') number: number;

  faTimes = faTimes;

  form = this.fb.group({
    email: ['', [Validators.email, Validators.required]],
    name: ['', Validators.required],
    message: ['', Validators.required]
  });

  submitted = false;

  constructor(
    private fb: FormBuilder,
    private data: DataService,
    public formService: FormService
  ) { }

  ngOnInit() {
  }

  onSubmit() {
    const value = this.form.value;

    this.data.mail(value.email, this.number, value.message, value.name).subscribe(res => {
      this.submitted = true;
    });
  }

}
