import { Component, OnInit } from '@angular/core';
import { ApiData, DataService } from 'src/app/services/data.service';
import { Router } from '@angular/router';
import { faGift } from '@fortawesome/free-solid-svg-icons';
import { FormService } from 'src/app/services/form.service';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  faGift = faGift;

  data: ApiData;
  loggedIn: boolean;

  constructor(
    private dataService: DataService,
    private router: Router,
    public form: FormService
  ) { }

  ngOnInit() {
    this.dataService.getData().subscribe(res => this.data = res);

    const username = localStorage.getItem('username');
    const password = localStorage.getItem('password');
    this.dataService.login(username, password).subscribe(l => this.loggedIn = l);
  }

  updateItem(index: number) {
    const username = localStorage.getItem('username');
    const password = localStorage.getItem('password');

    this.dataService.update(index, username, password).subscribe(res => this.dataService.getData().subscribe(res2 => this.data = res2));
  }

  logout() {
    localStorage.clear();
    this.router.navigate(['/login']);
  }

}
