import { Component, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { DataService } from 'src/app/services/data.service';
import { Router } from '@angular/router';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss']
})
export class LoginComponent implements OnInit {

  form = this.fb.group({
    username: ['', Validators.required],
    password: ['', Validators.required]
  });

  alert = false;

  constructor(
    private fb: FormBuilder,
    private data: DataService,
    private router: Router
  ) { }

  ngOnInit() {
  }

  onSubmit() {
    const value = this.form.value;
    this.data.login(value.username, value.password).subscribe(loggedIn => {
      if (loggedIn) {
        localStorage.setItem('username', value.username);
        localStorage.setItem('password', value.password);
        this.router.navigate(['/']);
      } else {
        this.alert = true;
        setTimeout(() => this.alert = false, 4000);
      }
    });
  }

}
