import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

export interface ApiData {
  result: {
    success: boolean,
    data: any
  };
}

@Injectable({
  providedIn: 'root'
})
export class DataService {

  apiUrl = 'http://localhost:3000';

  constructor(private http: HttpClient) { }

  getData(): Observable<ApiData> {
    return this.http.get<ApiData>(this.apiUrl);
  }

  login(username: string, password: string): Observable<boolean> {
    return this.http.post<boolean>(this.apiUrl + '/login', {username, password});
  }

  update(index: number, username: string, password: string): Observable<void> {
    return this.http.post<void>(this.apiUrl + '/update/' + index, {username, password});
  }

  // tslint:disable-next-line: variable-name
  mail(email: string, number: number, message: string, name: string): Observable<ApiData> {
    return this.http.post<ApiData>(this.apiUrl + '/mail/', {email, number, message, name});
  }
}
